Bug 615572 - Network installation not possible without IPv4 DHCP available.
Summary: Network installation not possible without IPv4 DHCP available.
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-17 08:39 UTC by A.J. Werkman
Modified: 2010-10-15 09:24 UTC (History)
5 users (show)

Fixed In Version: anaconda-14.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-15 09:24:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log files of the event. (14.11 KB, application/x-gzip)
2010-10-13 18:44 UTC, A.J. Werkman
no flags Details

Description A.J. Werkman 2010-07-17 08:39:46 UTC
Description of problem:
Network installation fails without a valid IPv4 DHCP address handed out over the network to the client.

Version-Release number of selected component (if applicable):
Anaconda 13.31

How reproducible:
Everytime

Steps to Reproduce:
1. Do a network installation on a network that does not hand out a IPv4 address to the installation client
2. Whichever network configuration is chosen, virtual terminal 4 show that anaconda starts a dchp-client trying to obtain a IPv4 address. On DHCP failure it stops the installation process.
3. This is even the case when choosing static IPv4 and static IPv6 addressing.
  
Actual results:
Network installation process fails.

Expected results:
Anaconda should configure the interface as requested and install Fedora.

Additional info:
Although with F13 IPv6 networking is supported, anaconda is hardly capable in using IPv6 networking during the installation process.

The static addressing screen is only shown when selecting both static IPv4 AND IPv6 addressing.

Comment 1 Radek Vykydal 2010-07-17 18:20:49 UTC
The issues should be fixed in anaconda-14.12-1.

Comment 2 A.J. Werkman 2010-10-13 17:41:05 UTC
Anaconda 14.19 stil shows this behavour when enabling IPv4 and not getting a DHCP address. On failure of the DHCPv4 the installation stops, although an IPv6 addressing scheme is present.

Comment 3 James Laska 2010-10-13 18:12:40 UTC
(In reply to comment #2)
> Anaconda 14.19 stil shows this behavour when enabling IPv4 and not getting a
> DHCP address. On failure of the DHCPv4 the installation stops, although an IPv6
> addressing scheme is present.

Can you provide the installer logs (/tmp/*log*) from your tests using anaconda-14.19-1

Comment 4 A.J. Werkman 2010-10-13 18:44:20 UTC
Created attachment 453265 [details]
Log files of the event.

I enable IPv4 DHCP and IPv6 automatic neighbour discovery. As there is no free IPv4 address the IPv4 DHCP process fails.

Attached are the log files.

Comment 5 Radek Vykydal 2010-10-14 08:51:05 UTC
(In reply to comment #4)
 
> I enable IPv4 DHCP and IPv6 automatic neighbour discovery. As there is no free
> IPv4 address the IPv4 DHCP process fails.

Isn't this what your bug #633815 is about?
The (other) problems from your description are really fixed, so I'd close this one.

(In reply to comment #0)

> 2. Whichever network configuration is chosen, virtual terminal 4 show that
> anaconda starts a dchp-client trying to obtain a IPv4 address. On DHCP failure
> it stops the installation process.
> 3. This is even the case when choosing static IPv4 and static IPv6 addressing.

This is fixed.

> The static addressing screen is only shown when selecting both static IPv4 AND
> IPv6 addressing.

This is fixed.

Comment 6 A.J. Werkman 2010-10-15 09:24:49 UTC
Yes this should have been noted under bug #633815.

The other ones are fixed. So I close this bug


Note You need to log in before you can comment on or make changes to this bug.